
%global meadversion 2.6.1
%global namedversion 2.6.1.redhat-3
%global meadalpha .redhat_3
%global meadrel .1
%global serial 12
%global namedversionrel redhat-3

%bcond_without mead

%define maven_version 2.6.1.redhat-3

Name:           sun-istack-commons
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          1
Summary:        Commons for JAXP, JAXB, SAAJ, and JAX-WS
License:        CDDL
Group:          Development/Java

%if %with mead
Source100: istack-commons-2.6.1.redhat-3-scm-sources.zip
Source102: istack-commons-runtime-2.6.1.redhat-3-sources.jar
Source103: istack-commons-runtime-2.6.1.redhat-3.pom
Source104: istack-commons-runtime-2.6.1.redhat-3.jar
Source105: istack-commons-tools-2.6.1.redhat-3.jar
Source106: istack-commons-tools-2.6.1.redhat-3.pom
Source107: istack-commons-tools-2.6.1.redhat-3-sources.jar
Source108: istack-commons-2.6.1.redhat-3.pom
Source109: istack-commons-2.6.1.redhat-3-project-sources.tar.gz
Source110: istack-commons-2.6.1.redhat-3-javadoc.jar
Source111: istack-commons-buildtools-2.6.1.redhat-3.jar
Source112: istack-commons-buildtools-2.6.1.redhat-3.pom
Source113: istack-commons-buildtools-2.6.1.redhat-3-sources.jar
Source114: istack-commons-test-2.6.1.redhat-3-sources.jar
Source115: istack-commons-test-2.6.1.redhat-3.pom
Source116: istack-commons-test-2.6.1.redhat-3.jar
Source117: maven-istack-commons-plugin-2.6.1.redhat-3.jar
Source118: maven-istack-commons-plugin-2.6.1.redhat-3-sources.jar
Source119: maven-istack-commons-plugin-2.6.1.redhat-3.pom
%endif

URL:            https://istack-commons.dev.java.net
Provides:       istack-commons = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       codemodel >= 0:2.4
BuildRoot:      %{_tmppath}/istack-commons-%{version}-%{release}-root
BuildArch:      noarch

%description
JAXP, JAXB, SAAJ, and JAX-WS projects are often used together 
by other projects (such as Mustang, Glassfish, and JWSDP to 
name a few.) But at the same time, they are released 
independently, and those technolgoies don't necessarily 
have dependencies between them.

To promote code reuse between these projects, we host the 
common part in a separate project, so that when we ship 
individually, we can each carry istack-commons.jar, and when
we deliver together into another technology, we can reduce 
the footprint. 

%package -n istack-commons
Summary:        istack common utility code
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils

%description -n istack-commons
istack common utility code.

%package -n istack-commons-buildtools
Summary:        istack-commons-buildtools
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       istack-commons = %{epoch}:%{version}-%{release}
Requires:       ant >= 0:1.7.0
Requires:       codemodel >= 0:2.4

%description -n istack-commons-buildtools
istack-commons-buildtools.

%package -n istack-commons-runtime
Summary:        istack common utility code runtime
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       istack-commons = %{epoch}:%{version}-%{release}

%description -n istack-commons-runtime
istack common utility code runtime.

%package -n istack-commons-test
Summary:        istack common utility code test
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       istack-commons = %{epoch}:%{version}-%{release}
Requires:       ant-junit >= 0:1.7.0
Requires:       dom4j >= 0:1.6.1
Requires:       junit >= 0:3.8.1

%description -n istack-commons-test
istack common utility code test.

%package -n istack-commons-tools
Summary:        istack common utility code tools
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       istack-commons = %{epoch}:%{version}-%{release}
Requires:       ant >= 0:1.7.0

%description -n istack-commons-tools
istack common utility code tools.

%if %without mead
%package -n istack-commons-plugin
Summary:        istack-commons Maven Mojo
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       istack-commons = %{epoch}:%{version}-%{release}
# XXX: maven-plugin-api
Requires:       maven2 >= 0:2.0
Requires:       maven-shared-file-management >= 0:1.2
Requires:       codemodel >= 0:2.4
# XXX: 1.0-alpha-9
Requires:       plexus-archiver >= 0:1.0
# XXX: 1.0-alpha-1
Requires:       plexus-io >= 0:1.0

%description -n istack-commons-plugin
istack-commons Maven Mojo.
%endif

%package javadoc
Summary:        Javadoc for istack-commons
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description javadoc
%{summary}.

%prep
%setup -q -n istack-commons -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/istack-commons-buildtools-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/istack-commons-buildtools-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/istack-commons-buildtools-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/istack-commons-buildtools-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/istack-commons-runtime-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/istack-commons-runtime-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/istack-commons-runtime-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/istack-commons-runtime-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/istack-commons-test-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/istack-commons-test-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/istack-commons-test-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/istack-commons-test-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/istack-commons-tools-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/istack-commons-tools-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/istack-commons-tools-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/istack-commons-tools-%{namedversion}.jar
%if %without mead
%{__cp} -p %{_sourcedir}/maven-istack-commons-plugin-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/maven-istack-commons-plugin-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/maven-istack-commons-plugin-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/maven-istack-commons-plugin-%{namedversion}.jar
%endif
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/istack-commons-buildtools-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-istack-commons-buildtools.pom
%{__cp} -p %{_sourcedir}/istack-commons-runtime-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-istack-commons-runtime.pom
%{__cp} -p %{_sourcedir}/istack-commons-test-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-istack-commons-test.pom
%{__cp} -p %{_sourcedir}/istack-commons-tools-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-istack-commons-tools.pom
%{__cp} -p %{_sourcedir}/istack-commons-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-istack-commons.pom
%if %without mead
%{__cp} -p %{_sourcedir}/maven-istack-commons-plugin-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-maven-istack-commons-plugin.pom
%endif

# depmaps
%add_to_maven_depmap com.sun.istack istack-commons-buildtools %{namedversion} JPP/%{name} istack-commons-buildtools
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/istack-commons-buildtools
%add_to_maven_depmap com.sun.istack istack-commons-runtime %{namedversion} JPP/%{name} istack-commons-runtime
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/istack-commons-runtime
%add_to_maven_depmap com.sun.istack istack-commons-test %{namedversion} JPP/%{name} istack-commons-test
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/istack-commons-test
%add_to_maven_depmap com.sun.istack istack-commons-tools %{namedversion} JPP/%{name} istack-commons-tools
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/istack-commons-tools
%add_to_maven_depmap com.sun.istack istack-commons %{namedversion} JPP/%{name} istack-commons
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/istack-commons
%if %without mead
%add_to_maven_depmap com.sun.istack maven-istack-commons-plugin %{namedversion} JPP/%{name} maven-istack-commons-plugin
%endif

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/istack-commons-%{namedversion}
%{__unzip} -qq %{_sourcedir}/istack-commons-%{namedversion}-javadoc.jar -d $RPM_BUILD_ROOT%{_javadocdir}/istack-commons-%{namedversion}/
%{__rm} -r $RPM_BUILD_ROOT%{_javadocdir}/istack-commons-%{namedversion}/META-INF
%{__ln_s} istack-commons-%{namedversion} %{buildroot}%{_javadocdir}/istack-commons

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%post -n istack-commons
%update_maven_depmap

%postun -n istack-commons
%update_maven_depmap

%post -n istack-commons-buildtools
%update_maven_depmap

%postun -n istack-commons-buildtools
%update_maven_depmap

%post -n istack-commons-runtime
%update_maven_depmap

%postun -n istack-commons-runtime
%update_maven_depmap

%post -n istack-commons-test
%update_maven_depmap

%postun -n istack-commons-test
%update_maven_depmap

%post -n istack-commons-tools
%update_maven_depmap

%postun -n istack-commons-tools
%update_maven_depmap

%if %without mead
%post -n istack-commons-plugin
%update_maven_depmap

%postun -n istack-commons-plugin
%update_maven_depmap
%endif

%files
%defattr(0644,root,root,0755)
%doc Licence.txt
%dir %{_javadir}/%{name}
#
%{_mavenpomdir}/JPP.%{name}-istack-commons.pom
%{_mavendepmapfragdir}/istack-commons
#
%{_javadir}/%{name}/istack-commons-buildtools-%{namedversion}-sources.jar
%{_javadir}/%{name}/istack-commons-buildtools-sources.jar
%{_javadir}/%{name}/istack-commons-buildtools-%{namedversion}.jar
%{_javadir}/%{name}/istack-commons-buildtools.jar
%{_mavenpomdir}/JPP.%{name}-istack-commons-buildtools.pom
%{_mavendepmapfragdir}/istack-commons-buildtools
#
%{_javadir}/%{name}/istack-commons-runtime-%{namedversion}-sources.jar
%{_javadir}/%{name}/istack-commons-runtime-sources.jar
%{_javadir}/%{name}/istack-commons-runtime-%{namedversion}.jar
%{_javadir}/%{name}/istack-commons-runtime.jar
%{_mavenpomdir}/JPP.%{name}-istack-commons-runtime.pom
%{_mavendepmapfragdir}/istack-commons-runtime
#
%{_javadir}/%{name}/istack-commons-test-%{namedversion}-sources.jar
%{_javadir}/%{name}/istack-commons-test-sources.jar
%{_javadir}/%{name}/istack-commons-test-%{namedversion}.jar
%{_javadir}/%{name}/istack-commons-test.jar
%{_mavenpomdir}/JPP.%{name}-istack-commons-test.pom
%{_mavendepmapfragdir}/istack-commons-test
#
%{_javadir}/%{name}/istack-commons-tools-%{namedversion}-sources.jar
%{_javadir}/%{name}/istack-commons-tools-sources.jar
%{_javadir}/%{name}/istack-commons-tools-%{namedversion}.jar
%{_javadir}/%{name}/istack-commons-tools.jar
%{_mavenpomdir}/JPP.%{name}-istack-commons-tools.pom
%{_mavendepmapfragdir}/istack-commons-tools
#

%files -n istack-commons
%defattr(0644,root,root,0755)
%doc Licence.txt
%{_mavenpomdir}/JPP.%{name}-istack-commons.pom
%{_mavendepmapfragdir}/istack-commons

%files -n istack-commons-buildtools
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/istack-commons-buildtools-%{namedversion}-sources.jar
%{_javadir}/%{name}/istack-commons-buildtools-sources.jar
%{_javadir}/%{name}/istack-commons-buildtools-%{namedversion}.jar
%{_javadir}/%{name}/istack-commons-buildtools.jar
%{_mavenpomdir}/JPP.%{name}-istack-commons-buildtools.pom
%{_mavendepmapfragdir}/istack-commons-buildtools

%files -n istack-commons-runtime
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/istack-commons-runtime-%{namedversion}-sources.jar
%{_javadir}/%{name}/istack-commons-runtime-sources.jar
%{_javadir}/%{name}/istack-commons-runtime-%{namedversion}.jar
%{_javadir}/%{name}/istack-commons-runtime.jar
%{_mavenpomdir}/JPP.%{name}-istack-commons-runtime.pom
%{_mavendepmapfragdir}/istack-commons-runtime

%files -n istack-commons-test
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/istack-commons-test-%{namedversion}-sources.jar
%{_javadir}/%{name}/istack-commons-test-sources.jar
%{_javadir}/%{name}/istack-commons-test-%{namedversion}.jar
%{_javadir}/%{name}/istack-commons-test.jar
%{_mavenpomdir}/JPP.%{name}-istack-commons-test.pom
%{_mavendepmapfragdir}/istack-commons-test

%files -n istack-commons-tools
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/istack-commons-tools-%{namedversion}-sources.jar
%{_javadir}/%{name}/istack-commons-tools-sources.jar
%{_javadir}/%{name}/istack-commons-tools-%{namedversion}.jar
%{_javadir}/%{name}/istack-commons-tools.jar
%{_mavenpomdir}/JPP.%{name}-istack-commons-tools.pom
%{_mavendepmapfragdir}/istack-commons-tools

%if %without mead
%files -n istack-commons-plugin 
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/maven-istack-commons-plugin-%{namedversion}-sources.jar
%{_javadir}/%{name}/maven-istack-commons-plugin-sources.jar
%{_javadir}/%{name}/maven-istack-commons-plugin-%{namedversion}.jar
%{_javadir}/%{name}/maven-istack-commons-plugin.jar
%{_mavenpomdir}/JPP.%{name}-maven-istack-commons-plugin.pom
%{_mavendepmapfragdir}/istack-commons-plugin
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/istack-commons-%{namedversion}
%{_javadocdir}/istack-commons

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%exclude %dir %{_javadocdir}
%{_javadir}/repository.jboss.com
%endif

%changelog
* Thu Nov 06 2014 Paul Gier <pgier@redhat.com> - 2.6.1-11.redhat.1
- Rebuild for OSGi compatible version

* Thu May 15 2014 David Walluck <dwalluck@redhat.com> - 2.6.1-10.redhat_2.2
- move jars

* Tue Oct 09 2012 David Walluck <dwalluck@redhat.com> 1:2.6.1-9
- duplicate files in main package
- add maven support to main package
- Provides: istack-commons in main package
- fix Epoch in changelog

* Wed Oct 03 2012 David Walluck <dwalluck@redhat.com> 1:2.6.1-8
- fix Requires
- update Group

* Wed Oct 03 2012 David Walluck <dwalluck@redhat.com> 1:2.6.1-7
- split packages

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1:2.6.1-6_redhat_2.3
- Rebuild for MD5

* Thu Aug 16 2012 Paul Gier <pgier@redhat.com> - 1:2.6.1-5_redhat_2.3
- Update pom patch for eap 6.0.1 parent and boms

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 1:2.6.1-4_redhat_2.3
- Rebuild unsigned

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 1:2.6.1-4_redhat_2.2
- Rebuild unsigned

* Mon Jul 30 2012 Fernando Nasser <fnasser@redhat.com> - 1:2.6.1-4_redhat_1.1
- Rebuild unsigned

* Mon Jul 30 2012 Yong Yang <yyang@redhat.com> 1:2.6.1-4_redhat_1
- Push tags to Prod git
- Use commitId 5776b8dadb5d35b3cf2b085c8aaecb298f344ce0 which is the correct commitId for tag 2.6.1

* Fri Jul 27 2012 Fernando Nasser <fnasser@redhat.com> - 1:2.6.1-3_redhat_1.1
- Rebuild using cache signing

* Fri Jul 27 2012 Yong Yang <yyang@redhat.com> 1:2.6.1-3
- First Mead build
- Comment maven-plugin module

* Mon May 21 2012 David Walluck <dwalluck@redhat.com> 1:2.6.1-2
- mark ant optional in tools pom
- remove activation and stax-api from runtime pom (in Java 6)
- update tools jar version from 1.5 to 1.6 in tools pom 
- update Release line

* Tue May 01 2012 David Walluck <dwalluck@redhat.com> 1:2.6.1-1
- 2.6.1
- recreate pom patch

* Thu Feb 23 2012 David Walluck <dwalluck@redhat.com> 1:2.5-0.1
- 2.5
- add repolib

* Sun Jul 17 2011 Ralph Apel <r.apel@r-apel.de> 1.0-3
- Fix for JPP6 and add parent pom

* Mon Dec 08 2008 Will Tatam <will.tatam@red61.com> 1.0-2
- Auto rebuild for JPackage 5 in mock

* Wed Apr 09 2008 Ralph Apel <r.apel at r-apel.de> - 1:1.0-1jpp
- 1.0 and bump epoch

* Tue Nov 27 2007 Ralph Apel <r.apel at r-apel.de> - 0:20070625-1jpp
- First release
